MuleXmlBuilderContextServlet (Mule ESB 2.2.1 API)
Keywords: org.mule.config.builders.MuleXmlBuilderContextServlet class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.builders
Class MuleXmlBuilderContextServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.mule.config.builders.MuleXmlBuilderContextServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

    public class MuleXmlBuilderContextServlet

extends HttpServlet

See Also:
  Serialized Form

Constructor Summary
`MuleXmlBuilderContextServlet()`

Method Summary
`void` | `destroy()`
`void` | `init()`
`protected void` | `service(HttpServletRequest request, HttpServletResponse response)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleXmlBuilderContextServlet

    public MuleXmlBuilderContextServlet()

Method Detail

### init

    public void init()
              throws ServletException

  Overrides:
    `init` in class `GenericServlet`
  Throws:
    `ServletException`

### service

    protected void service(HttpServletRequest request,
                           HttpServletResponse response)
                    throws ServletException,
                           IOException

  Overrides:
    `service` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `Servlet`
  Overrides:
    `destroy` in class `GenericServlet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.